- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.entities/modifyEntityRiskScore#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.entities/modifyEntityRiskScore#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.entities/modifyEntityRiskScore#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.entities/modifyEntityRiskScore#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.entities/modifyEntityRiskScore#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.entities/modifyEntityRiskScore#body.ModifyEntityRiskScoreResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.entities/modifyEntityRiskScore#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.entities/modifyEntityRiskScore#body.aspect_1)

**Full name**: projects.locations.instances.entities.modifyEntityRiskScore

Modify base entity risk score for an entity.

### HTTP request

`POST https://{endpoint}/v1alpha/{name}:modifyEntityRiskScore`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The entity id to the entity to modify entity risk score on. In the entities.modifyEntityRiskScore API, entity id is an encoded string of the Most Reliable Indicator proto (including MRI value, type and namespace), which would finally be a unified representation of Entity resource. Format: `projects/{project}/locations/{location}/instances/{instance}/entities/{entity}` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "entityRiskScoreModification": { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/EntityRiskScoreModification`) } } ``` |

| Fields ||
|---|---|
| `entityRiskScoreModification` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/EntityRiskScoreModification`)`` Required. Modification that is made to the base entity risk score. |

### Response body

Response message for entities.modifyEntityRiskScore method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "entityRiskScoreModification": { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/EntityRiskScoreModification`) } } ``` |

| Fields ||
|---|---|
| `entityRiskScoreModification` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/EntityRiskScoreModification`)`` Modification that is made to the base entity risk score. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `chronicle.entities.modifyEntityRiskScore`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).